package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;

/**
 * 存储池raid
 */
@Table("storage_raid")
public class StorageRaid extends GenericEntity {

    /**
     * 自增id
     */
    @PK(value = PKStrategy.AUTO)
    private Long id;

    /**
     * 所属vendor
     */
    @Column(value = "vendor_id")
    private Long vendorId;

    /**
     * 所属Mdisk
     */
    @Column(value = "mdisk_id")
    private Long mdiskId;

    /**
     * 名称
     */
    @Column(value = "tactics")
    private String tactics;
    /**
     * uuid
     */
    @Column(value = "uuid")
    private String uuid;
    /**
     * 标识
     */
    @Column("identifier")
    private String identifier;
    /**
     * smis传参
     */
    @Column("key_path")
    private String keyPath;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getMdiskId() {
        return mdiskId;
    }

    public void setMdiskId(Long mdiskId) {
        this.mdiskId = mdiskId;
    }

    public String getTactics() {
        return tactics;
    }

    public void setTactics(String tactics) {
        this.tactics = tactics;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getIdentifier() {
        return identifier;
    }

    public void setIdentifier(String identifier) {
        this.identifier = identifier;
    }

    public String getKeyPath() {
        return keyPath;
    }

    public void setKeyPath(String ketPath) {
        this.keyPath = ketPath;
    }

    public Long getVendorId() {
        return vendorId;
    }

    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }
}
